coreutils/coreutils-test_without_valgrind.patch
Bernhard Voelker 7a83ba63d6 Accepting request 356783 from home:berny:branches:Base:System
- Update to 8.25
  (for details see included NEWS file)
- coreutils.spec (%description): Add base32, a new utility.
- Remove now-upstream patch:
  * coreutils-tests-avoid-FP-of-ls-stat-free-color.patch
- Refresh/merge all other patches:
  * coreutils-build-timeout-as-pie.patch
  * coreutils-disable_tests.patch
  * coreutils-i18n.patch
  * coreutils-invalid-ids.patch
  * coreutils-misc.patch
  * coreutils-ocfs2_reflinks.patch
  * coreutils-remove_hostname_documentation.patch
  * coreutils-remove_kill_documentation.patch
  * coreutils-skip-gnulib-test-tls.patch
  * coreutils-test_without_valgrind.patch
  * coreutils-tests-shorten-extreme-factor-tests.patch

OBS-URL: https://build.opensuse.org/request/show/356783
OBS-URL: https://build.opensuse.org/package/show/Base:System/coreutils?expand=0&rev=270
2016-01-30 07:32:56 +00:00

19 lines
782 B
Diff

---
tests/misc/shuf-reservoir.sh | 3 +--
1 file changed, 1 insertion(+), 2 deletions(-)
Index: tests/misc/shuf-reservoir.sh
===================================================================
--- tests/misc/shuf-reservoir.sh.orig
+++ tests/misc/shuf-reservoir.sh
@@ -37,8 +37,7 @@ run_shuf_n()
# Critical memory-related bugs will cause a segfault here
# (with varying numbers of input/output lines)
- seq "$INPUT_LINES" | valgrind --leak-check=$leaklevel --error-exitcode=1 \
- shuf -n "$OUTPUT_LINES" -o "out_${INPUT_LINES}_${OUTPUT_LINES}" || return 1
+ seq "$INPUT_LINES" | shuf -n "$OUTPUT_LINES" -o "out_${INPUT_LINES}_${OUTPUT_LINES}" || return 1
EXPECTED_LINES="$OUTPUT_LINES"
test "$INPUT_LINES" -lt "$OUTPUT_LINES" && EXPECTED_LINES="$INPUT_LINES"